Servers
Approve a server's sign-in endpoints
Approve a server's sign-in endpoints
curl --request POST \
--url https://api.atlan.com/mcp/v1/servers/approve-sign-in \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_url": "<string>",
"expected": {
"authorization_endpoint": "<string>",
"endpoint": "<string>",
"issuer": "<string>",
"resource": "<string>",
"token_endpoint": "<string>",
"registration_endpoint": "<string>"
},
"provider_key": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint_url: '<string>',
expected: {
authorization_endpoint: '<string>',
endpoint: '<string>',
issuer: '<string>',
resource: '<string>',
token_endpoint: '<string>',
registration_endpoint: '<string>'
},
provider_key: '<string>'
})
};
fetch('https://api.atlan.com/mcp/v1/servers/approve-sign-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/mcp/v1/servers/approve-sign-in"
payload = {
"endpoint_url": "<string>",
"expected": {
"authorization_endpoint": "<string>",
"endpoint": "<string>",
"issuer": "<string>",
"resource": "<string>",
"token_endpoint": "<string>",
"registration_endpoint": "<string>"
},
"provider_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"provider_key": "<string>",
"reviewed_sign_in": {
"authorization_endpoint": "<string>",
"endpoint": "<string>",
"issuer": "<string>",
"resource": "<string>",
"token_endpoint": "<string>",
"registration_endpoint": "<string>"
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Body
application/json
⌘I
Approve a server's sign-in endpoints
curl --request POST \
--url https://api.atlan.com/mcp/v1/servers/approve-sign-in \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_url": "<string>",
"expected": {
"authorization_endpoint": "<string>",
"endpoint": "<string>",
"issuer": "<string>",
"resource": "<string>",
"token_endpoint": "<string>",
"registration_endpoint": "<string>"
},
"provider_key": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint_url: '<string>',
expected: {
authorization_endpoint: '<string>',
endpoint: '<string>',
issuer: '<string>',
resource: '<string>',
token_endpoint: '<string>',
registration_endpoint: '<string>'
},
provider_key: '<string>'
})
};
fetch('https://api.atlan.com/mcp/v1/servers/approve-sign-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/mcp/v1/servers/approve-sign-in"
payload = {
"endpoint_url": "<string>",
"expected": {
"authorization_endpoint": "<string>",
"endpoint": "<string>",
"issuer": "<string>",
"resource": "<string>",
"token_endpoint": "<string>",
"registration_endpoint": "<string>"
},
"provider_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"provider_key": "<string>",
"reviewed_sign_in": {
"authorization_endpoint": "<string>",
"endpoint": "<string>",
"issuer": "<string>",
"resource": "<string>",
"token_endpoint": "<string>",
"registration_endpoint": "<string>"
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}